package com.yonge.cooleshow.cms.controller.queryinfo;

import io.swagger.annotations.ApiModelProperty;

import com.yonge.toolset.mybatis.page.QueryInfo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

public class HelpCenterContentQueryInfo extends QueryInfo {

	@ApiModelProperty(value = "父分类ID，1:帮助中心，2：公告管理", required = false)
	@NotNull(message = "父分类不能为空")
	private String catalogIds;

	@ApiModelProperty("平台类型 STUDENT:学生  TEACHER：老师")
	private String catalogType;

	@ApiModelProperty(value = "标题", required = false)
	private String title;

	@ApiModelProperty(value = "状态（1-显示 0-隐藏）", required = false)
	private Integer status;

	public String getCatalogType() {
		return catalogType;
	}

	public void setCatalogType(String catalogType) {
		this.catalogType = catalogType;
	}

	public String getCatalogIds() {
		return catalogIds;
	}

	public void setCatalogIds(String catalogIds) {
		this.catalogIds = catalogIds;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

}
